DEADLINE_TEST(8)

NAME
deadline_test - High resolution test program

DESCRIPTION

This program is used to test the deadline scheduler (SCHED_DEADLINE tasks)

SYNOPSIS
deadline_test [ -hb ] [ -r prio ] [ -c cpulist ] [ -i interval ] [ -p percent ] [ -P percent ] [ -t threads ] [ -s step[us) ]

OPTIONS

-h  Show this help menu

-b  Bind on the last cpu. (shortcut for -c <lastcpu>)

-r prio
    Add an RT task with given prio to stress system

-c cpulist
    Comma/hyphen separated list of CPUs to run deadline tasks on

-i interval
    The shortest deadline for the tasks

-p percent
    The percent of bandwidth to use (1-90%)

-P percent
    The percent of runtime for execution completion
                  (Default 100%)

-t threads
    The number of threads to run as deadline (default 1)

-s step(us)
    The amount to increase the deadline for each task (default 500us)

AUTHOR
Deadline test was written by Steven Rostedt <rostedt@goodmis.org>

This manual page was written by John Kacur <jkacur@redhat.com>